---
sidebar_label: HTTPRequest.resourceType
---

# HTTPRequest.resourceType() method

Contains the request's resource type as it was perceived by the rendering engine.

#### Signature:

```typescript
class HTTPRequest {
  resourceType(): ResourceType;
}
```

**Returns:**

[ResourceType](./puppeteer.resourcetype.md)
